import test from 'ava';
import fs from 'fs';
import path from 'path';

import {
  isExist,
  isFile,
  isDirectory,
  extend,
  mkdir,
  rmdir,
  chmod,
  uuid,
  datetime,
  hyphenedToCamelCase,
  camelCaseToHyphened
} from '../index.js';


test('isDirectory', t => {
  t.is(isDirectory(__filename), false);
});

test('isDirectory 2', t => {
  t.is(isDirectory(__dirname), true);
});

test('extend 1', t => {
  const data = extend({}, {name: 'test'});
  t.deepEqual(data, {name: 'test'});
});


